IF DB_ID('Metrouzemeltetes') IS NOT NULL
	DROP DATABASE Metrouzemeltetes;
GO

CREATE DATABASE Metrouzemeltetes;
GO
USE Metrouzemeltetes;
GO

create table Felhasznalo(
	Azonosito VARCHAR(10) PRIMARY KEY,
	Jelszo VARCHAR(10) NOT NULL,
	TeljesNev VARCHAR(50) NOT NULL
);

create table Metrovonal(
	Azonosito INTEGER PRIMARY KEY,
	Uzembehelyezes INTEGER NOT NULL
);

create table Metroszerelveny(
	Azonosito INTEGER PRIMARY KEY,
	Vonal INTEGER NOT NULL,
	Uzembehelyezes INTEGER NOT NULL,
	JavitasAlatt TINYINT
);
GO

insert into Felhasznalo values('huhu','huhu','Huba Hugó');
insert into Felhasznalo values('dodo','dodo','Dörmögő Dömötör');
insert into Felhasznalo values('mek','mek','Mek Elek');

insert into Metrovonal values(1,1896);
insert into Metrovonal values(2,1973);
insert into Metrovonal values(3,1985);

insert into Metroszerelveny values(8726, 1, 2004, 0);
insert into Metroszerelveny values(4372, 1, 1989, 0);
insert into Metroszerelveny values(9356, 2, 2007, 0);
insert into Metroszerelveny values(1461, 2, 1967, 0);
insert into Metroszerelveny values(1982, 0, 1979, 0);
insert into Metroszerelveny values(9125, 3, 1967, 0);
insert into Metroszerelveny values(8128, 1, 1952, 0);
insert into Metroszerelveny values(8235, 3, 1999, 0);
insert into Metroszerelveny values(1073, 1, 1969, 0);
insert into Metroszerelveny values(1074, 2, 1979, 0);
insert into Metroszerelveny values(4810, 1, 1968, 0);
insert into Metroszerelveny values(1853, 3, 2010, 0);
insert into Metroszerelveny values(3640, 3, 2010, 0);
insert into Metroszerelveny values(8352, 0, 1984, 0);
insert into Metroszerelveny values(1893, 0, 1995, 0);
GO
